[hardware_config]
; archive_synchronizer: present
; galaxy_camera: present
; label_printer: present
; multicomp: present
; neo_pixels: present
; remote_api: present
; tecna_t3: present
; vision_saver: present
; vision: present

[galaxy_camera]
horizontal_resolution: 2448
vertical_resolution: 2048
; frame_time_ms: 300
exposure_time: 10000
; horizontal_crop_offset: 0
; horizontal_crop_resolution: 2448
; vertical_crop_offset: 0
; vertical_crop_resolution: 2048
; rotate_90_clockwise times: 0
; auto_white_balance: off
balance_red: 1.85
balance_green: 1.0
balance_blue: 1.5

[vision_saver]
time_format: %Y-%m-%d_%H-%M-%S
path: ./data/images
minimum_disk_free_space_gb: 20
resize_resolution: 612x512

[archive_synchronizer]
archive_endpoint: https://r5portal.it/api/echo/
images_path: data/images
poll_time: 60
hold_time: 1
service_account_json: data/secrets/errecinque-prodserver-9d4024fe9eed.json
bucket_id: MACHINE

[label_printer]
platform: windows
printer: ttp247


[tecna_t3]
model: t3p
; port: ?
baudrate: 115200
admin_pin: 603
modify_pin: 603
select_pin: 603

[multicomp]
; port: ?
baudrate: 115200

[neo_pixels]
; port: ?
baudrate: 9600

[vision]
neural_network: hs5-20000
